precision highp float;
varying vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform float strength;

void main()
{
    vec4 a = texture2D(inputImageTexture1, st);

    vec4 b = texture2D(inputImageTexture2, st);

    float mask = smoothstep(0.0, 1.0, abs(st.x - 0.5) * 2.0);

    gl_FragColor = mix(a, b, mask * strength);
}