precision highp float;


varying highp vec2 st;
uniform sampler2D inputImageTexture1;
uniform sampler2D inputImageTexture2;
uniform float strength;

void main() {
    //    vec2 st = textureCoordinate;
    vec4 col1 = texture2D(inputImageTexture1, st);
    vec4 col2 = texture2D(inputImageTexture2, st);
//    col1.b = col2.b;
    col1.b = mix(col1.b, col1.b + 2. * col2.b - 1.0, col2.b * strength);
    gl_FragColor = col1;
}
