precision highp float;

varying vec2 st;

uniform sampler2D inputImageTexture;

uniform sampler2D inputImageTexture2;

uniform sampler2D maskTexId;

uniform float strength;

void main(){
    vec4 color1 = texture2D(inputImageTexture, st);
    vec4 color2 = texture2D(inputImageTexture2, st);
    gl_FragColor = mix(color1, color2, min(strength * texture2D(maskTexId, st).r, 1.0));
}