precision highp float;
varying vec2 st;
uniform sampler2D inputImageTexture;
uniform sampler2D inputTexture2;
uniform float strength;

void main()
{
    vec4 a = texture2D(inputImageTexture, st);
    vec4 b = texture2D(inputTexture2, st);
    vec3 finalColor = 1.0-(1.0-a.rgb)*(1.0-b.rgb);
    gl_FragColor = vec4(mix(a.rgb, finalColor, strength), 1.0);
}